View Issue Details

IDProjectCategoryView StatusLast Update
0018565LazarusIDEpublic2011-01-21 10:36
ReporterJuha ManninenAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018565: Add 3 dots to menu captions for some components
DescriptionA common convention is to use 3 dots at the end of menu caption if a dialog is opened by the menu item.

This is a small change, just add the dots for 2 components.
Other components may need the same change but I didn't check them all.
TagsNo tags attached.
Fixed in Revision29149, 29152
LazTarget-
Widgetset
Attached Files
  • 0001-IDE-Make-the-menu-captions-follow-the-convention-of-.patch (1,802 bytes)
    From c1af94575e6e7c84d46317a2b2bcc4a9ab377ac3 Mon Sep 17 00:00:00 2001
    From: Juha Manninen <juha@JuhanLinux.(none)>
    Date: Thu, 20 Jan 2011 12:50:36 +0200
    Subject: [PATCH] IDE: Make the menu captions follow the convention of '...' when a dialog is opened.
    
    ---
     components/h2pas/h2pasdlg.pas                     |    4 ++--
     components/projecttemplates/idetemplateproject.pp |    2 +-
     2 files changed, 3 insertions(+), 3 deletions(-)
    
    diff --git a/components/h2pas/h2pasdlg.pas b/components/h2pas/h2pasdlg.pas
    index 3476ef3..a979393 100644
    --- a/components/h2pas/h2pasdlg.pas
    +++ b/components/h2pas/h2pasdlg.pas
    @@ -205,8 +205,8 @@ begin
       Cat:=IDECommandList.FindCategoryByName(CommandCategoryToolMenuName);
       CmdH2PasTool := RegisterIDECommand(Cat                 ,
              h2pH2Pas, h2pCreateUnitsFromCHeaderFiles, Key, nil, @ExecuteH2PasTool);
    -  RegisterIDEMenuCommand(itmSecondaryTools, h2pH2PasTool, h2pH2Pas, nil, nil,
    -                         CmdH2PasTool);
    +  RegisterIDEMenuCommand(itmSecondaryTools, h2pH2PasTool, h2pH2Pas+' ...',
    +                         nil, nil, CmdH2PasTool);
     
       // register text converter tools
       TextConverterToolClasses.RegisterClass(TPreH2PasTools);
    diff --git a/components/projecttemplates/idetemplateproject.pp b/components/projecttemplates/idetemplateproject.pp
    index da72d85..7553fd5 100644
    --- a/components/projecttemplates/idetemplateproject.pp
    +++ b/components/projecttemplates/idetemplateproject.pp
    @@ -72,7 +72,7 @@ Const
       
     Resourcestring
       STemplateCategory = 'Template projects';
    -  SProjectTemplateSettings = 'Project templates options';
    +  SProjectTemplateSettings = 'Project templates options ...';
       SNewFromTemplate = 'New project from template';
     
     { ---------------------------------------------------------------------
    -- 
    1.7.3.4
    
    

Activities

2011-01-20 12:24

 

0001-IDE-Make-the-menu-captions-follow-the-convention-of-.patch (1,802 bytes)
From c1af94575e6e7c84d46317a2b2bcc4a9ab377ac3 Mon Sep 17 00:00:00 2001
From: Juha Manninen <juha@JuhanLinux.(none)>
Date: Thu, 20 Jan 2011 12:50:36 +0200
Subject: [PATCH] IDE: Make the menu captions follow the convention of '...' when a dialog is opened.

---
 components/h2pas/h2pasdlg.pas                     |    4 ++--
 components/projecttemplates/idetemplateproject.pp |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/components/h2pas/h2pasdlg.pas b/components/h2pas/h2pasdlg.pas
index 3476ef3..a979393 100644
--- a/components/h2pas/h2pasdlg.pas
+++ b/components/h2pas/h2pasdlg.pas
@@ -205,8 +205,8 @@ begin
   Cat:=IDECommandList.FindCategoryByName(CommandCategoryToolMenuName);
   CmdH2PasTool := RegisterIDECommand(Cat                 ,
          h2pH2Pas, h2pCreateUnitsFromCHeaderFiles, Key, nil, @ExecuteH2PasTool);
-  RegisterIDEMenuCommand(itmSecondaryTools, h2pH2PasTool, h2pH2Pas, nil, nil,
-                         CmdH2PasTool);
+  RegisterIDEMenuCommand(itmSecondaryTools, h2pH2PasTool, h2pH2Pas+' ...',
+                         nil, nil, CmdH2PasTool);
 
   // register text converter tools
   TextConverterToolClasses.RegisterClass(TPreH2PasTools);
diff --git a/components/projecttemplates/idetemplateproject.pp b/components/projecttemplates/idetemplateproject.pp
index da72d85..7553fd5 100644
--- a/components/projecttemplates/idetemplateproject.pp
+++ b/components/projecttemplates/idetemplateproject.pp
@@ -72,7 +72,7 @@ Const
   
 Resourcestring
   STemplateCategory = 'Template projects';
-  SProjectTemplateSettings = 'Project templates options';
+  SProjectTemplateSettings = 'Project templates options ...';
   SNewFromTemplate = 'New project from template';
 
 { ---------------------------------------------------------------------
-- 
1.7.3.4

Vincent Snijders

2011-01-20 12:31

manager   ~0045327

The dots should not be added at the end, but be part of a resource string. I can imagine them to left of the text in right to left languages.

Mattias Gaertner

2011-01-20 13:48

manager   ~0045330

Dots are weak characters and are shown to the left for RTL languages automatically.

Vincent Snijders

2011-01-20 13:51

manager   ~0045331

So creating a string like h2pH2Pas+' ...' is not a problem?

Mattias Gaertner

2011-01-20 14:10

manager   ~0045332

I just wanted to point out, that it is not a technical problem.
I don't know if '...' is internationally understood as opening a dialog.
Better put this into a resourcestring, as you suggested.

Maxim Ganetsky

2011-01-20 22:02

developer   ~0045353

Thanks for the hint.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2011-01-20 12:24 Juha Manninen New Issue
2011-01-20 12:24 Juha Manninen File Added: 0001-IDE-Make-the-menu-captions-follow-the-convention-of-.patch
2011-01-20 12:24 Juha Manninen LazTarget => -
2011-01-20 12:31 Vincent Snijders Note Added: 0045327
2011-01-20 13:48 Mattias Gaertner Note Added: 0045330
2011-01-20 13:51 Vincent Snijders Note Added: 0045331
2011-01-20 14:10 Mattias Gaertner Note Added: 0045332
2011-01-20 21:24 Maxim Ganetsky Status new => assigned
2011-01-20 21:24 Maxim Ganetsky Assigned To => Maxim Ganetsky
2011-01-20 22:02 Maxim Ganetsky Fixed in Revision => 29149, 29152
2011-01-20 22:02 Maxim Ganetsky Status assigned => resolved
2011-01-20 22:02 Maxim Ganetsky Fixed in Version => 0.9.31 (SVN)
2011-01-20 22:02 Maxim Ganetsky Resolution open => fixed
2011-01-20 22:02 Maxim Ganetsky Note Added: 0045353
2011-01-21 10:36 Juha Manninen Status resolved => closed